# nng_stat_next(3) Manual Page

## NAME

nng_stat_next - get next statistic

## SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    nng_stat *nng_stat_next(nng_stat *stat);

## DESCRIPTION

The `nng_stat_next()` function returns the next sibling statistic of the statistic stat. If no more siblings are present, then `NULL` is returned.

## RETURN VALUES

The next sibling statistic of stat, or NULL if stat is the last sibling.

## ERRORS

None.

## SEE ALSO

libnng(3), nng_stat_child(3), nng_stats_get(3), nng_stat(5), nng(7)